package com.heyu.api.alibaba.request.mm.enums;

public enum ReverseStatusEnums {

    // 逆向状态状态 wait_seller_agree  等待卖家同意 ,
    // wait_buyer_post 等待买家寄东西,
    // shipping 运送中,
    // delivered 妥投,
    // reject_delivered 拒绝妥投,
    // agree_refunded 同意退款 ,
    // refunded 退款完成 ，
    // close 退款关闭
    cancel("cancel", "订单取消"),

    buyer_apply_reverse_wait_seller_agree("buyer_apply_reverse_wait_seller_agree", "买家申请退款，等待卖家同意,"),

    seller_agree_return_wait_buyer_post("seller_agree_return_wait_buyer_post", "卖家同意退货，买家邮寄"),

    shipping("shipping", "运送中"),

    delivered("delivered", "已签收"),

    reject_delivered("reject_delivered", "拒绝接收"),

    agree_refunded("agree_refunded", "同意退款"),

    refunded("refunded", "退款完成"),

    close("close", "退款关闭");

    ReverseStatusEnums(String status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    private String status;

    private String desc;


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
